{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/cluster/alerts",
  "title": "Cluster alerts requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/cluster/alerts/",
  "summary": "Cluster alert requests",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2025-03-10T13:08:54-04:00",
  "page_type": "content",
  "content_hash": "40e3d2590fc63749b5146469b547e1def40640c51a55bce895d46a6ebb7a3818",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "| Method | Path | Description |\n|--------|------|-------------|\n| [GET](#get-all-alerts) | `/v1/cluster/alerts` | Get all cluster alerts |\n| [GET](#get-alert) | `/v1/cluster/alerts/{alert}` | Get a specific cluster alert |"
    },
    {
      "id": "get-all-alerts",
      "title": "Get all cluster alerts",
      "role": "content",
      "text": "GET /v1/cluster/alerts\n\nGet all alert states for the cluster object.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_cluster_alerts](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_cluster_alerts) |"
    },
    {
      "id": "get-all-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/cluster/alerts \n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |\n\n#### Query parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| ignore_settings | boolean | Retrieve updated alert state regardless of the cluster’s alert_settings. When not present, a disabled alert will always be retrieved as disabled with a false state. (optional) |"
    },
    {
      "id": "get-all-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns a hash of [alert objects](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/alert) and their states.\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-all-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |"
    },
    {
      "id": "get-alert",
      "title": "Get cluster alert",
      "role": "content",
      "text": "GET /v1/cluster/alerts/{alert}\n\nGet a cluster alert state.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_cluster_alerts](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_cluster_alerts) |"
    },
    {
      "id": "get-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/cluster/alerts/cluster_too_few_nodes_for_replication \n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |\n\n#### Query parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| ignore_settings | boolean | Retrieve updated alert state regardless of the cluster’s alert_settings. When not present, a disabled alert will always be retrieved as disabled with a false state. (optional) |"
    },
    {
      "id": "get-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns an [alert object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/alert).\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |\n| [404 Not Found](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | Specified alert does not exist |"
    }
  ],
  "examples": [
    {
      "id": "get-all-response-ex0",
      "language": "json",
      "code": "{\n    \"cluster_too_few_nodes_for_replication\": {\n        \"change_time\": \"2014-12-22T11:48:00Z\",\n        \"change_value\": {\n            \"state\": false\n        },\n       \"enabled\": true,\n       \"state\": \"off\",\n       \"severity\": \"WARNING\",\n    },\n    \"...\"\n}",
      "section_id": "get-all-response"
    },
    {
      "id": "get-response-ex0",
      "language": "json",
      "code": "{\n    \"change_time\": \"2014-12-22T11:48:00Z\",\n    \"change_value\": {\n        \"state\": false\n    },\n   \"enabled\": true,\n   \"state\": \"off\",\n   \"severity\": \"WARNING\",\n}",
      "section_id": "get-response"
    }
  ]
}
